Query station amenities

To get a full overview of all amenities at a charging station you can use the amenityList query. Most of them support a link towards foursquare for more information.

The available amenities can also be used as filters on our tile service.

Query

To use the amenityList query you will need a station id. This id can be fetched by using our station query. After passing in this id you have access to anything from address to contact. Use filters to narrow down and customize the results.

Pagination

To limit your results and improve the performance you can use pagination on your query.

Arguments

stationId • ID

• Required

ID of the station.

filter • AmenityListFilter

Criteria to filter amenities.

size • Int

Number of elements (count) to return.

Default • 10

page • Int

Page number to return.

Default • 0

Selectable fields

id • ID

Unique amenity ID.

externalId • String

Deprecated

ID provided by an amenity data source as the row ID.

external_id • String

ID provided by an amenity data source as the row ID.

name • String

Name of the amenity.

location • Point

Geo location coordinates. This is a GeoJSON Point.

address • Address

Address of the amenity.

type • String

Type of amenity. An amenity can belong to multiple categories.

distance • Int

Deprecated

Computed distance between station and amenity.

station_distance • Float

Computed distance between station and amenity.

Show arguments

foursquareUrl • String

Deprecated

Full path URL to amenity foursquare page.

opening_hours • AmenityOpeningHours

Opening hours of the amenity.

pets_allowed • Boolean

Indicates whether pets are allowed. This does not apply to assistance dogs, which may have legal access.

accessibility • AmenityAccessibility

Accessibility options at the amenity.

contact • AmenityContact

Contact information for the amenity.

rating • Float

Rating of an amenity, the value will be between 0.0 and 10.0. If no rating has been given, the value will be set to null.

createdAt • String

Deprecated

Date and time when an amenity was created.

updatedAt • String

Deprecated

Date and time when an amenity was last updated.

last_updated • DateTime

Date and time when an amenity was last updated.

Response

A response can either contain a data or an errors object. The response header will always return 200 as a status code.

Data object

When successful, a data object will be returned with the requested fields. If there are no fields present the data object will return the operation name with the appropriate return type. If the operation was a query, this output will be an object of the schema’s query root type; if the operation was a mutation, this output will be an object of the schema’s mutation root type.

Error object

If unsuccessful, an errors object will be returned with more details in the extensions object. The error object can contain any of the following objects.